package cn.cecep.talroad.feign.impl;

import cn.cecep.talroad.common.core.domain.R;
import cn.cecep.talroad.common.core.web.page.TableDataInfo;
import cn.cecep.talroad.feign.BaseRegionService;
import cn.cecep.talroad.vo.SysBasRegion;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName DictionaryServiceImpl
 * @Description TODO
 * @Author ZJN
 * @Date 2019/11/814:57
 * @Version 1.0
 **/
@Service
public class BaseRegionServiceImpl implements BaseRegionService {
    @Override
    public R<List<String>> getRegionCodeListChild(String regionCode) {
        return R.fail("服务请求失败");
    }

    @Override
    public TableDataInfo getDictDataList(String pageNum, String pageSize, String dictType) {
        return null;
    }

    @Override
    public R<List<SysBasRegion>> getRegionList(String regionCode) {
        return R.fail("服务请求失败");
    }
}
